-- ==========================================================================
-- \file     @DEADCHANNEL_SCRIPT.lua
-- \brief    Script for calling global variables, mostly to avoid redundancy
-- \ver      0.0.2
-- \author   Roah Nosh
-- \twitter  @DEADCHANNEL_
-- ==========================================================================

Core.RequireScript("script/sequence.lua");

function mayo_config( var )
	local r = {
		"Non-Existent Non-Resource",
		"RES_20143",
		1,
		"ID_MOB_NAM_J2A_CRAZ",
		9999999, --Sentence, not persistent, data is not saved
		"RES_20160", --Token
		1,
		MAYO_INI_MENU_ENTER,
		MAYO_INI_MENU_CANCEL,
		"#¹¹·Mana “Indispensable” ¬²·¹·³·]", --Rapsheet name
		"9,999,999", --Rapsheet sentence
		"5912:26", --Rapsheet hours played
		"31,985", --Rapsheet # of ops
		"587,467", --Rapsheet kills
		1, --Rapsheet accessory rescued
		336, --Rapsheet entitlement
		"108,841", --Rapsheet crimes
		"goo.gl/cRHR6g",
		MAYO_INI_LOG_TYPE,
		MAYO_INI_LANG,
		MAYO_INI_MENU_CONFIRM,
		MAYO_INI_TITLE_IDLE,
		MAYO_INI_TITLE_IDLE_ROUSE,
		MAYO_INI_TITLE_FOVY,
		"@DEADCHANNEL_",
		"https://bitbucket.org/roahN/opsagentmayo",
	}
	return r[var]
end

function mayo_icons( var )
	local r = {
		"<#MAP_ABDUCTOR_E>", --Large abductor
		"<#MAP_ABDUCT_CAUTION>", --Abductor caution
		"<#MAP_ABDUCT_DANGER>", --Abductor danger
		"<#MAP_ENEMY>", --Sinners
		"<#MAP_ENEMY_TINY>", --Tiny abductors
		"<#MAP_CIVILIAN>", --Civilian
		"<#MAP_POD_A>", --Civilian pod blue
		"<#MAP_POD_E>", --Civilian pod red
		"<#MAP_GOAL>", --Exit
		"<#MAP_FLAG>", --Flag white
		"<#MAP_FLAG_A>", --Flag blue
		"<#MAP_FLAG_E>", --Flag red
		"<#MAP_BEACON_ON>", --Beacon green
		"<#MAP_BEACON_OFF>", --Beacon grey
		"<#MAP_AMMO>", --Bullet
		"<#LOCKON_RED>",
		"<#LOCKON_BLUE>",
		"<#LOCKON_YELLOW>",
		"<#ELEMENT_FIRE>",
		"<#ELEMENT_ICE>",
		"<#ELEMENT_THUNDER>",
		"<#ELEMENT_WILL-O>",
		"<#WILLO_CHARGE_GAUGE>", --Ibara gauge full-charged
		"<#WILLO_NOT_CHARGED>", --Ibara gauge no-charge
		"<#MENU_LINEWARNING>", --Low quality internet
		"<#MENU_CHAT>", --Chat bubble
		"<#MENU_TXTCHAT>", --Chat icon
		"<#MENU_EMOCHAT>", --Emoticon
		"<#ADV_MAIN_N>", --Warning circular yellow
		"<#MENU_VSWAIT>", --PVP wait challenge
		"<#MENU_REVENGE>", --PVP revenge
		"<#MENU_TRAP>", --Warning blue
		"<#MENU_SERVICEMARK>", --SM (Ragequit mark)
		"<#MENU_DISCONNECT>", --Warning inverted triangle yellow
		"<#BLOW>", --Melee weapon
		"<#SHOOT>", --Gun weapon
		"<#WEAPON_RIFLE>", --Rifle
		"<#MENU_REGISTERED_SF>", --Registered trademark icon (®)
		"<#MENU_STAR_orange>", --Yellow star
		"<#BHUD_RESOURCE_F>", --Resources
		"<#MENU_MIDDLE_DOT>", --List
		"<#LOCKON_RED>", --Severable component
		"<#LOCKON_BLUE>", --Pod
		"<#LOCKON_YELLOW>", --Component vulnerable to dragdown
		"<#BHUD_TICKET_A>", --Sustainability
		"<#KEY_DECIDE>",
	}
	return r[var]
end

function mayo_init( var )
	if var == "civ01" then
		mayo_id = "CIV99"
		mayo_loc = "JNK01_CIV01_0201"
	else
		mayo_id = "J2A_CRAZ"
		mayo_loc = "JNK00_J2A_CRAZ_01"
	end
end

Core.RequireScript("config.lua");
Core.RequireScript("text/lang/"..mayo_config( 20 )..".lua");
